%define upstream_name    first
%define upstream_version v0.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use the first loadable module in a list
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
BuildArch: noarch

%description
Two main circumstances I've encountered where this is useful is:

* * when you have a list of modules that have the same interface but are
  more desirable for one reason or another like speed, portability, or
  availability.

      use first 'CGI::Simple', 'CGI::Minimal', 'CGI';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.1-4.mga6
+ Revision: 1027632
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.0.1-3.mga6
+ Revision: 939723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-2.mga5
+ Revision: 750731
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 tv <tv> 0.0.1-1.mga5
+ Revision: 718811
- imported package perl-first


* Mon Sep 22 2014 Thierry Vignaud <tv@mageia.org> 0.0.1-1.mga5
- initial mageia release, generated with cpan2dist
